summaryrefslogtreecommitdiff
path: root/dev-ruby/http
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/http
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/http')
-rw-r--r--dev-ruby/http/Manifest2
-rw-r--r--dev-ruby/http/http-3.3.0.ebuild43
-rw-r--r--dev-ruby/http/http-4.1.1.ebuild46
-rw-r--r--dev-ruby/http/metadata.xml12
4 files changed, 103 insertions, 0 deletions
diff --git a/dev-ruby/http/Manifest b/dev-ruby/http/Manifest
new file mode 100644
index 000000000000..05168d07615d
--- /dev/null
+++ b/dev-ruby/http/Manifest
@@ -0,0 +1,2 @@
+DIST http-3.3.0.gem 70656 BLAKE2B 5c52864168663640389a0f107e1bf8a202654a8b479c92bf5126354d360adcae45a9b4596da7cff2e412fee88ed3622870c4e2bb18eca97466b4ede28baa2a08 SHA512 fcb2549c22974712e129306b472c1a32466c50add85eee9a558582697c7ece26cb7a1db6da6aaceedb8bfd134d1213090c158db510fe53ddbe201bba6bd22c68
+DIST http-4.1.1.gem 74240 BLAKE2B 350d4a2eb966f8dae05a206e20a92d8ce0601df36673cae8c969b8849d6715c5d0ab0e24c4b6cc4f117e4788e535296f86d5193198df4a8229572817c9cd3f75 SHA512 89e088521212293db692b66a7058327c215bba119b3f01d4120fd32f0754294d4cbada88ed9cffb6f182f6d712a0923dadfc645c1618e25a802fcc3d467356de
diff --git a/dev-ruby/http/http-3.3.0.ebuild b/dev-ruby/http/http-3.3.0.ebuild
new file mode 100644
index 000000000000..42ad9f2a5123
--- /dev/null
+++ b/dev-ruby/http/http-3.3.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3:0
+ >=dev-ruby/http-cookie-1.0:0
+ dev-ruby/http-form_data:2
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+}
diff --git a/dev-ruby/http/http-4.1.1.ebuild b/dev-ruby/http/http-4.1.1.ebuild
new file mode 100644
index 000000000000..8bb8d0f06924
--- /dev/null
+++ b/dev-ruby/http/http-4.1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3:0
+ >=dev-ruby/http-cookie-1.0:0
+ dev-ruby/http-form_data:2
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+
+ # Fix spec for production release
+ sed -i -e '/User-Agent:/ s/.dev//' spec/lib/http/features/logging_spec.rb || die
+}
diff --git a/dev-ruby/http/metadata.xml b/dev-ruby/http/metadata.xml
new file mode 100644
index 000000000000..8421bdb5f8b6
--- /dev/null
+++ b/dev-ruby/http/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">tarcieri/http</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>